package top.xinsin.config;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringBootConfiguration;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;
import top.xinsin.interceptor.AuthorizeInterceptor;
import top.xinsin.interceptor.GlobalWebInterceptor;

/**
 * @author xinsin
 * Created On 2023/4/3 15:55
 * @version 1.0
 */
@Configuration
public class GlobalWebMvcConfiguration implements WebMvcConfigurer {

    @Autowired
    private AuthorizeInterceptor interceptor;

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        registry.addInterceptor(interceptor)
                .addPathPatterns("/**")
                .excludePathPatterns("/api/auth/**");
    }
}
