package top.xinsin.controller;

import com.alibaba.fastjson2.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.core.Authentication;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.context.SecurityContext;
import org.springframework.security.core.context.SecurityContextHolder;
import org.springframework.security.core.userdetails.User;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import top.xinsin.pojo.AuthAccount;
import top.xinsin.pojo.vo.AccountAndStoreAdmin;
import top.xinsin.service.AccountService;
import top.xinsin.util.R;

import java.util.Collection;
import java.util.stream.Stream;

/**
 * @author xinsin
 * Created On 2023/4/24 21:05
 * @version 1.0
 */

@RestController
@RequestMapping("/account")
public class AccountController {
    @Autowired
    private AccountService accountService;

    @RequestMapping(path = "/changeAccount", method = RequestMethod.POST)
    public R<String> changeAccount(@RequestBody AuthAccount authAccount) {return this.accountService.changeAccount(authAccount);}

    @RequestMapping(path = "/changeStatus", method = RequestMethod.GET)
    public R<String> changeStatus(@RequestParam("userId") Integer userId, @RequestParam("status") Boolean status) {return this.accountService.changeStatus(userId, status);}

    @RequestMapping(path = "/changePassword", method = RequestMethod.POST)
    public R<String> changePassword(@RequestParam("userId") Integer userId, @RequestParam("oldPassword") String oldPassword, @RequestParam("newPassword") String newPassword) {return this.accountService.changePassword(userId, oldPassword, newPassword);}

    @RequestMapping(path = "/delUser", method = RequestMethod.GET)
    public R<String> delUser(@RequestParam("id") Integer id) {return this.accountService.delUser(id);}

    @RequestMapping(path = "/getUser", method = RequestMethod.GET)
    public R<JSONObject> getUser(@RequestParam("page") Integer page, @RequestParam("num") Integer num) {return this.accountService.getUser(page, num);}
    @RequestMapping(path = "/getUserInfo",method = RequestMethod.GET)
    public R<JSONObject> getUserInfo(){
        Collection<GrantedAuthority> authorities = ((User) SecurityContextHolder
                .getContext()
                .getAuthentication()
                .getPrincipal())
                .getAuthorities();
        R<JSONObject> userInfo = accountService.getUserInfo(Integer.parseInt(authorities.stream().filter(e -> e.getAuthority().startsWith("ROLE_roleId=")).findFirst().get().getAuthority().replace("ROLE_roleId=", "")));
        userInfo.getData()
                .fluentPut("id",authorities.stream().filter(e -> e.getAuthority().startsWith("ROLE_id=")).findFirst().get().getAuthority().replace("ROLE_id=",""))
                .fluentPut("roleId",authorities.stream().filter(e -> e.getAuthority().startsWith("ROLE_roleId=")).findFirst().get().getAuthority().replace("ROLE_roleId=", ""))
                .fluentPut("auth",authorities.stream().filter(e -> e.getAuthority().startsWith("ROLE_auth=")).findFirst().get().getAuthority().replace("ROLE_auth=",""));
        return userInfo;
    }

    @RequestMapping(path = "/addStoreAdmin",method = RequestMethod.POST)
    public R<JSONObject> addStoreAdmin(@RequestBody AccountAndStoreAdmin accountAndStoreAdmin){
        Collection<GrantedAuthority> authorities = ((User) SecurityContextHolder
                .getContext()
                .getAuthentication()
                .getPrincipal())
                .getAuthorities();
        int id = Integer.parseInt(authorities.stream().filter(e -> e.getAuthority().startsWith("ROLE_id=")).findFirst().get().getAuthority().replace("ROLE_id=", ""));
        accountAndStoreAdmin.setCreateId(id);
        return accountService.addStoreAdmin(accountAndStoreAdmin);
    }
/*    @RequestMapping(path = "/debug",method = RequestMethod.GET)
    public void debug(){accountService.debug();}
    @RequestMapping(path = "/debugs",method = RequestMethod.GET)
    public long debugs(){return accountService.debugs();}*/
}
