package top.xinsin.controller;

import com.alibaba.fastjson2.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import top.xinsin.pojo.AuthPermissions;
import top.xinsin.pojo.Commission;
import top.xinsin.service.AuthPermissionsService;
import top.xinsin.service.AuthRolesService;
import top.xinsin.util.R;

import java.util.List;

/**
 * @author xinsin
 * Created On 2023/4/24 21:07
 * @version 1.0
 */
@RestController
@RequestMapping("/authPermissions")
public class AuthPermissionsController {

    @Autowired
    private AuthPermissionsService authPermissionsService;

    @RequestMapping(path = "/addAuthPermissions",method = RequestMethod.POST)
    public R<Boolean> addAuthPermissions(@RequestBody AuthPermissions authPermissions){return authPermissionsService.addAuthPermissions(authPermissions);}
    @RequestMapping(path = "/changeAuthPermissions",method = RequestMethod.POST)
    public R<Boolean> changeAuthPermissions(@RequestBody AuthPermissions authPermissions){return authPermissionsService.changeAuthPermissions(authPermissions);}
    @RequestMapping(path = "/delAuthPermissions",method = RequestMethod.GET)
    public R<Boolean> delAuthPermissions(@RequestParam("id")Integer id){return authPermissionsService.delAuthPermissions(id);}
    @RequestMapping(path = "/getAuthPermissions",method = RequestMethod.GET)
    public R<JSONObject> getAuthPermissions(@RequestParam("page")Integer page, @RequestParam("num")Integer num){return authPermissionsService.getAuthPermissions(page,num);}
    @RequestMapping(path = "/changeAuthPermissionsStats", method = RequestMethod.GET)
    public R<String> changeAuthPermissionsStats(@RequestParam("authPermissionId") Integer authPermissionId, @RequestParam("status") Boolean status) {return authPermissionsService.changeAuthPermissionsStats(authPermissionId, status);}
    @RequestMapping(path = "/getAuthPermissionsId",method = RequestMethod.GET)
    public R<List<JSONObject>> getAuthPermissionsId(){return authPermissionsService.getAuthPermissionsId();}
}