package top.xinsin.controller;

import com.alibaba.fastjson2.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import top.xinsin.pojo.AuthPermissions;
import top.xinsin.pojo.AuthRoles;
import top.xinsin.service.AuthPermissionsService;
import top.xinsin.service.AuthRolesService;
import top.xinsin.util.R;

import java.util.List;

/**
 * @author xinsin
 * Created On 2023/4/24 21:07
 * @version 1.0
 */
@RestController
@RequestMapping("/authRoles")
public class AuthRolesController {

    @Autowired
    private AuthRolesService authPermissionsService;

    @RequestMapping(path = "/addAuthRoles",method = RequestMethod.POST)
    public R<Boolean> addAuthRoles(@RequestBody AuthRoles authPermissions){return authPermissionsService.addAuthRoles(authPermissions);}
    @RequestMapping(path = "/changeAuthRoles",method = RequestMethod.POST)
    public R<Boolean> changeAuthRoles(@RequestBody AuthRoles authPermissions){return authPermissionsService.changeAuthRoles(authPermissions);}
    @RequestMapping(path = "/delAuthRoles",method = RequestMethod.GET)
    public R<Boolean> delAuthRoles(@RequestParam("id")Integer id){return authPermissionsService.delAuthRoles(id);}
    @RequestMapping(path = "/getAuthRoles",method = RequestMethod.GET)
    public R<JSONObject> getAuthRoles(@RequestParam("page")Integer page, @RequestParam("num")Integer num){return authPermissionsService.getAuthRoles(page,num);}
    @RequestMapping(path = "/changeAuthRolesStats", method = RequestMethod.GET)
    public R<String> changeAuthRolesStats(@RequestParam("authRolesId") Integer authPermissionId, @RequestParam("status") Boolean status) {return authPermissionsService.changeAuthRolesStats(authPermissionId, status);}
    @RequestMapping(path = "/getAuthRolesId",method = RequestMethod.GET)
    public R<List<JSONObject>> getAuthRolesId(){return authPermissionsService.getAuthRolesId();}
    @RequestMapping(path = "/getAuthPermissionId",method = RequestMethod.GET)
    public R<List<JSONObject>> getAuthPermissionId(@RequestParam("roleId") Integer roleId){return authPermissionsService.getAuthPermissionId(roleId);}
}