package top.xinsin.controller;

import com.alibaba.fastjson2.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import top.xinsin.pojo.AuthPermissions;
import top.xinsin.pojo.AuthRolesPermissions;
import top.xinsin.service.AuthRolesPermissionsService;
import top.xinsin.util.R;

import java.util.List;

/**
 * @author xinsin
 * Created On 2023/4/29 21:05
 * @version 1.0
 */
@RestController
@RequestMapping("/authRolesPermission")
public class AuthRolesPermissionController {
    @Autowired
    private AuthRolesPermissionsService authRolesPermissionsService;

    @RequestMapping(path = "/addAuthRolesPermissions",method = RequestMethod.POST)
    public R<Boolean> addAuthRolesPermissions(@RequestBody AuthRolesPermissions authPermissions){return authRolesPermissionsService.addAuthRolesPermissions(authPermissions);}
    @RequestMapping(path = "/changeAuthRolesPermissions",method = RequestMethod.POST)
    public R<Boolean> changeAuthRolesPermissions(@RequestBody AuthRolesPermissions authPermissions){return authRolesPermissionsService.changeAuthRolesPermissions(authPermissions);}
    @RequestMapping(path = "/delAuthRolesPermissions",method = RequestMethod.GET)
    public R<Boolean> delAuthRolesPermissions(@RequestParam("roleId")Integer roleId,@RequestParam("permissionId")Integer permissionId){return authRolesPermissionsService.delAuthRolesPermissions(roleId,permissionId);}
    @RequestMapping(path = "/getAuthRolesPermissions",method = RequestMethod.GET)
    public R<JSONObject> getAuthRolesPermissions(@RequestParam("page")Integer page, @RequestParam("num")Integer num){return authRolesPermissionsService.getAuthRolesPermissions(page,num);}
    @RequestMapping(path = "/changeAuthRolesPermissionsStats", method = RequestMethod.GET)
    public R<String> changeAuthRolesPermissionsStats(@RequestParam("authRolesPermissionsId") Integer authPermissionId, @RequestParam("status") Boolean status) {return authRolesPermissionsService.changeAuthRolesPermissionsStats(authPermissionId, status);}

}
