package top.xinsin.controller;


import com.alibaba.fastjson2.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import top.xinsin.pojo.Commission;
import top.xinsin.pojo.Store;
import top.xinsin.service.CommissionService;
import top.xinsin.util.R;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xinsin
 * @since 2023-04-24
 */
@RestController
@RequestMapping("/commission")
public class CommissionController {

    @Autowired
    private CommissionService commissionService;

    @RequestMapping(path = "/addCommission",method = RequestMethod.POST)
    public R<Boolean> addCommission(@RequestBody Commission commission){return commissionService.addCommission(commission);}
    @RequestMapping(path = "/changeCommission",method = RequestMethod.POST)
    public R<Boolean> changeCommission(@RequestBody Commission commission){return commissionService.changeCommission(commission);}
    @RequestMapping(path = "/delCommission",method = RequestMethod.GET)
    public R<Boolean> delCommission(@RequestParam("id")Integer id){return commissionService.delCommission(id);}
    @RequestMapping(path = "/getCommission",method = RequestMethod.GET)
    public R<JSONObject> getCommission(@RequestParam("page")Integer page, @RequestParam("num")Integer num){return commissionService.getCommission(page,num);}
    @RequestMapping(path = "/getCommissionByPrice",method = RequestMethod.GET)
    public R<Double> getCommissionByPrice(@RequestParam("shopId")Integer shopId,@RequestParam("range")Double range){return commissionService.getCommissionByPrice(shopId,range);}
    @RequestMapping(path = "/changeCommissionStatus", method = RequestMethod.GET)
    public R<String> changeCommissionStatus(@RequestParam("commissionId") Integer commissionId, @RequestParam("status") Boolean status) {return commissionService.changeCommissionStatus(commissionId, status);}
}
