package top.xinsin.controller;

import com.alibaba.fastjson2.JSONObject;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import top.xinsin.enums.OrderStatus;
import top.xinsin.enums.SearchType;
import top.xinsin.pojo.Order;
import top.xinsin.service.OrderService;
import top.xinsin.util.R;

/**
 * @author xinsin
 * Created On 2023/4/24 21:06
 * @version 1.0
 */
@RestController
@RequestMapping("/order")
public class OrderController {
    @Autowired
    private OrderService orderService;

    @RequestMapping(path = "/addOrder", method = RequestMethod.POST)
    public R<String> addOrder(@RequestBody Order order) {return this.orderService.addOrder(order);}

    @RequestMapping(path = "/getOrder", method = RequestMethod.GET)
    public R<JSONObject> getOrder(@RequestParam("page") Integer page, @RequestParam("num") Integer num) {return this.orderService.getOrder(page, num);}

    @RequestMapping(path = "/getOrderUserInfo", method = RequestMethod.GET)
    public R<Boolean> getOrderUserInfo(@RequestParam("content") String content) {return this.orderService.getOrderUserInfo(content);}

    @RequestMapping(path = "/searchUserOrder", method = RequestMethod.GET)
    public R<JSONObject> searchUserOrder(@RequestParam("searchType") SearchType searchType, @RequestParam("searchContent") String searchContent, @RequestParam("batch") Boolean batch, @RequestParam("page") Integer page, @RequestParam("num") Integer num) {return this.orderService.searchUserOrder(searchType, searchContent, batch, page, num);}

    @RequestMapping(path = "/addOrderFlag", method = RequestMethod.GET)
    public R<String> addOrderFlag(@RequestParam("orderId") Integer orderId, @RequestParam("flagId") Integer flagId, @RequestParam("flagRemark") String flagRemark) {return this.orderService.addOrderFlag(orderId, flagId, flagRemark);}

    @RequestMapping(path = "/changeOrder", method = RequestMethod.POST)
    public R<String> changeOrder(@RequestBody Order order) {return this.orderService.changeOrder(order);}

    @RequestMapping(path = "/delOrder", method = RequestMethod.GET)
    public R<String> delOrder(@RequestParam("orderId") Integer orderId) {return this.orderService.delOrder(orderId);}

    @RequestMapping(path = "/confirm", method = RequestMethod.GET)
    public R<String> confirm(@RequestParam("orderStatus") OrderStatus orderStatus, @RequestParam("orderId") Integer orderId) {return this.orderService.confirm(orderStatus, orderId);}
    @RequestMapping(path = "/downloadTemplate", method = RequestMethod.GET)
    public void downloadTemplate(HttpServletResponse response) {this.orderService.downloadTemplate(response);}

    @RequestMapping(path = "/uploadBatch", method = RequestMethod.POST)
    public R<JSONObject> uploadBatch(@RequestParam("file") MultipartFile file) {return this.orderService.uploadBatch(file);}
}
