package top.xinsin.controller;


import com.alibaba.fastjson2.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import top.xinsin.pojo.Store;
import top.xinsin.service.StoreService;
import top.xinsin.util.R;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xinsin
 * @since 2023-04-24
 */
@RestController
@RequestMapping("/store")
public class StoreController {

    @Autowired
    private StoreService storeService;

    @RequestMapping(path = "/addStore",method = RequestMethod.POST)
    public R<Boolean> addStore(@RequestBody Store store){return storeService.addStore(store);}
    @RequestMapping(path = "/changeStore",method = RequestMethod.POST)
    public R<Boolean> changeStore(@RequestBody Store store){return storeService.changStore(store);}
    @RequestMapping(path = "/delStore",method = RequestMethod.GET)
    public R<Boolean> delStore(@RequestParam("id")Integer id){return storeService.delStore(id);}
    @RequestMapping(path = "/getStore",method = RequestMethod.GET)
    public R<JSONObject> getStore(@RequestParam("page")Integer page, @RequestParam("num")Integer num){return storeService.getStore(page,num);}
    @RequestMapping(path = "/getAllStore",method = RequestMethod.GET)
    public R<List<Store>> getAllStore(){return storeService.getAllStore();}
    @RequestMapping(path = "/changeStoreStatus", method = RequestMethod.GET)
    public R<String> changeStoreStatus(@RequestParam("storeId") Integer storeId, @RequestParam("status") Boolean status) {return storeService.changeStoreStatus(storeId, status);}
}
