package top.xinsin.pojo;

import com.baomidou.mybatisplus.annotation.*;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author xinsin
 * Created On 2023/4/24 21:09
 * @version 1.0
 */
@Data
@TableName("auth_account")
@NoArgsConstructor
public class AuthAccount implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @TableField("username")
    private String username;
    @TableField("auth")
    private String auth;
    @TableField("email")
    private String email;
    @TableField("rel_name")
    private String relName;
    @TableField("password")
    private String password;
    @TableField("status")
    private Boolean status;
    @TableField("role_id")
    private Integer roleId;
    @TableField("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @TableField("update_time")
    private Date updateTime;
    @TableField("del")
    @TableLogic
    private Boolean del;

    public AuthAccount(String username, String auth, String email, String relName, String password, Boolean status, Integer roleId, Date createTime) {
        this.username = username;
        this.auth = auth;
        this.email = email;
        this.relName = relName;
        this.password = password;
        this.status = status;
        this.roleId = roleId;
        this.createTime = createTime;
    }
}
