package top.xinsin.pojo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * @author xinsin
 * Created On 2023/4/24 21:10
 * @version 1.0
 */
@TableName("shop_order")
@ExcelIgnoreUnannotated
@Accessors(chain = true)
@Data
public class Order implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @ExcelIgnore
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @TableField("order_no")
    private String orderNo;
    @TableField("order_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date orderTime;
    @TableField("order_status")
    private String orderStatus;
    @TableField("wang_no")
    private String wangNo;
    @TableField("wechat_no")
    private String wechatNo;
    @TableField("alipay_no")
    private String alipayNo;
    @TableField("pay_amt")
    private Double payAmt;
    @TableField("store_id")
    private Integer storeId;
    @TableField("commission")
    private Double commission;
    @TableField("alipay_name")
    private String alipayName;
    @TableField("rp_name")
    private String rpName;
    @TableField("rp_wechat_name")
    private String rpWechatName;
    @TableField("remark")
    private String remark;
    @TableField("phone_number")
    private String phoneNumber;
    @TableField("card_no")
    private String cardNo;
    @TableField("flag")
    private Integer flag;
    @TableField("flag_remark")
    private String flagRemark;
    @TableField("pay_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date payTime;
    @TableField("address")
    private String address;
    @TableField("shop_id")
    private Integer shopId;
    @TableField("sku")
    private String sku;
    @ExcelIgnore
    @TableField(exist = false)
    private String storeName;
}
