package top.xinsin.pojo.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;
import top.xinsin.pojo.AuthPermissions;

import java.util.Date;

/**
 * @author xinsin
 * Created On 2023/4/29 21:27
 * @version 1.0
 */
@Data
public class AuthPermissionsAndUserVo {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @TableField("permission_name")
    private String permissionName;
    @TableField("permission_code")
    private String permissionCode;
    @TableField("description")
    private String description;
    @TableField(exist = false)
    private String createName;
    @TableField("create_id")
    private Integer createId;
    @TableField("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
    @TableField("update_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    @TableField("status")
    private Boolean status;

    public AuthPermissionsAndUserVo(AuthPermissions authPermissions) {
        this.id = authPermissions.getId();
        this.permissionName = authPermissions.getPermissionName();
        this.permissionCode = authPermissions.getPermissionCode();
        this.description = authPermissions.getDescription();
        this.createId = authPermissions.getCreateId();
        this.createTime = authPermissions.getCreateTime();
        this.updateTime = authPermissions.getUpdateTime();
        this.status = authPermissions.getStatus();
    }
}
