package top.xinsin.service;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import top.xinsin.mapper.StoreMapper;
import top.xinsin.pojo.Commission;
import top.xinsin.pojo.Store;
import com.baomidou.mybatisplus.extension.service.IService;
import top.xinsin.util.HttpCodes;
import top.xinsin.util.R;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xinsin
 * @since 2023-04-24
 */
@Service
@Slf4j
public class StoreService {
    @Autowired
    private StoreMapper storeMapper;

    public R<Boolean> addStore(Store store) {
        store.setCreateTime(new Date());
        int insert = storeMapper.insert(store);
        return insert != 0 ? R.success(true) : R.failed(HttpCodes.HTTP_CODES555,false);
    }

    public R<Boolean> changStore(Store store) {
        store.setUpdateTime(new Date());
        int update = storeMapper.updateById(store);
        return update != 0 ? R.success(true) : R.failed(HttpCodes.HTTP_CODES555,false);
    }

    public R<Boolean> delStore(Integer id) {
        int delete = storeMapper.deleteById(id);
        return delete != 0 ? R.success(true) : R.failed(HttpCodes.HTTP_CODES555,false);
    }

    public R<JSONObject> getStore(Integer page, Integer num) {
        JSONObject jsonObject = new JSONObject();
        Page<Store> storePage = new Page<>(page,num);
        Page<Store> storePage1 = storeMapper.selectPage(storePage, null);
        jsonObject.fluentPut("info",storePage1.getRecords()).fluentPut("total",storePage1.getTotal());
        return R.success(jsonObject);
    }

    public R<List<Store>> getAllStore() {
        return R.success(storeMapper.selectList(null));
    }

    public R<String> changeStoreStatus(Integer storeId, Boolean status) {
        Store store = new Store();
        store.setId(storeId);
        store.setStatus(status);
        int i = storeMapper.updateById(store);
        if (i == 1) {
            return status ? R.success("启用该商铺成功") : R.success("禁用该商铺成功");
        } else {
            return R.failed(HttpCodes.HTTP_CODES555, "修改商铺状态失败");
        }
    }
}
