package top.xinsin.service;

import com.alibaba.fastjson2.JSONObject;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import jakarta.annotation.Resource;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;
import top.xinsin.mapper.VerifyMapper;
import top.xinsin.pojo.Verify;
import top.xinsin.util.HttpCodes;
import top.xinsin.util.R;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.concurrent.TimeUnit;

@Service
public class VerifyService {

    @Autowired
    private VerifyMapper verifyMapper;
    @Resource
    private RedisTemplate<String, Object> redisTemplate;
    public R<JSONObject> getRemainderTime(Integer id) {
        Long storeName = redisTemplate.getExpire(String.valueOf(id), TimeUnit.SECONDS);
        System.out.println(storeName);
        return R.success(new JSONObject().fluentPut("remainderTime",storeName));
    }

    public R<Boolean> verify(Integer id, String name, String phone) {
        Verify verify = new Verify();
        verify.setVerifyPhone(phone);
        verify.setVerifyName(name);
        int update = verifyMapper.update(verify, new LambdaQueryWrapper<Verify>().eq(Verify::getStoreId, id));
        return update == 1 ? R.success(true) : R.failed(HttpCodes.HTTP_CODES555, false);
    }

    public R<List<JSONObject>> getVerifyMessage(Integer createId) {
        LambdaQueryWrapper<Verify> verifyLambdaQueryWrapper = new LambdaQueryWrapper<>();
        verifyLambdaQueryWrapper.eq(Verify::getCreateId,createId);
        List<Verify> verifies = verifyMapper.selectList(verifyLambdaQueryWrapper);
        ArrayList<JSONObject> jsonObjects = new ArrayList<>();
        verifies.forEach(e -> {
            JSONObject jsonObject = new JSONObject();
            jsonObject.fluentPut("storeId",e.getStoreId())
                    .fluentPut("storeName",e.getVerifyName())
                    .fluentPut("phone",e.getVerifyPhone());
            jsonObjects.add(jsonObject);
        });
        return R.success(jsonObjects);
    }

    public R<JSONObject> confirmVerify(Integer createId, Integer storeId, Boolean status) {
        if (status){
            LambdaQueryWrapper<Verify> verifyLambdaQueryWrapper = new LambdaQueryWrapper<>();
            verifyLambdaQueryWrapper
                    .eq(Verify::getCreateId,createId)
                    .eq(Verify::getStoreId,storeId);
            Verify verify1 = verifyMapper.selectOne(verifyLambdaQueryWrapper);
            Verify verify = new Verify("","",String.valueOf(true),verify1.getNum() + 1,new Date());
            int update = verifyMapper.update(verify, verifyLambdaQueryWrapper);
            if (update == 1){
                return R.success(new JSONObject().fluentPut("info","确认验证信息成功,请通知商户重新登录"));
            }
        }else {
            LambdaQueryWrapper<Verify> verifyLambdaQueryWrapper = new LambdaQueryWrapper<>();
            verifyLambdaQueryWrapper
                    .eq(Verify::getCreateId,createId)
                    .eq(Verify::getStoreId,storeId);
            Verify verify1 = verifyMapper.selectOne(verifyLambdaQueryWrapper);
            Verify verify = new Verify(String.valueOf(false),verify1.getNum() + 1,new Date());
            int update = verifyMapper.update(verify, verifyLambdaQueryWrapper);
            if (update == 1){
                return R.success(new JSONObject().fluentPut("info","确认验证信息成功,该用户将不可登录"));
            }
        }
        return R.failed(HttpCodes.ACCESS_DENIED,new JSONObject());
    }
}
