package top.xinsin.util;

import lombok.Data;

/**
 * @author xinsin
 * Created On 2023/4/3 15:45
 * @version 1.0
 */
@Data
public class R<T> {
    private int status;
    private String message;
    private T data;
    private long timestamp;

    public R() {
        this.timestamp = System.currentTimeMillis();
    }
    public static<T> R<T> success(T data){
        R<T> rData = new R<>();
        rData.setStatus(HttpCodes.HTTP_CODES200.getCode());
        rData.setMessage(HttpCodes.HTTP_CODES200.getMessage());
        rData.setData(data);
        return rData;
    }
    public static<T> R<T> failed(HttpCodes httpCodes, T data){
        R<T> rData = new R<>();
        rData.setStatus(httpCodes.getCode());
        rData.setMessage(httpCodes.getMessage());
        rData.setData(data);
        return rData;
    }
}