package top.xinsin;

import lombok.SneakyThrows;
import org.apache.commons.codec.digest.DigestUtils;
import org.junit.Test;
import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.FileInputStream;
import java.nio.charset.StandardCharsets;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.LinkedList;
import java.util.Scanner;

@SuppressWarnings("resource")
public class MainTest {

    @Test
    @SneakyThrows
    public void test02(){
        String s = "%E6%96%B0%E5%BB%BA%E6%96%87%E6%9C%AC%E6%96%87%E6%A1%A3%20";
        System.out.println(new String(s.getBytes(StandardCharsets.UTF_8), StandardCharsets.ISO_8859_1));
    }

    @Test
    @SneakyThrows
    public void test01(){
        System.out.println(new BCryptPasswordEncoder().encode(DigestUtils.md5Hex("xinsinxinsin")));
        System.out.println(DigestUtils.md5Hex("12345678"));
        System.out.println(DigestUtils.md5Hex("xinsin"));
        System.out.println(new BCryptPasswordEncoder().encode("996c24dbd061aeacb928fe4892d7a70b"));
    }

    public static void main(String[] args) throws ClassNotFoundException, SQLException {
        MainTest m = new MainTest();
        Scanner sc = new Scanner(System.in);
        while(true) {
            int ch = m.menu();
            switch(ch) {
                case 1:m.SelectAll();break;
                case 2:
                    System.out.println("请输入需要添加的学生的数量：");
                    int n = sc.nextInt();
                    int countInsert = m.insertStudent(n);
                    if(countInsert==n) {
                        System.out.println("学生信息添加成功!");
                    }else {
                        System.out.println("信息输入有误，学生添加失败。");
                    }
                    break;
                case 3:
                    System.out.println("请输入需要修改的学生的学号：");
                    String IDUpdate= sc.next();
                    int countUpdate = m.updateStudent(IDUpdate);
                    if(countUpdate>0) {
                        System.out.println("学生信息修改成功。");
                    }
                    break;
                case 4:
                    System.out.println("请输入需要删除的学生的学号：");
                    String IDDelete = sc.next();
                    int countDelete = m.deleteStudentByID(IDDelete);
                    if(countDelete>0) {
                        System.out.println("删除成功。");
                    }else {
                        System.out.println("删除失败。");
                    }
                    break;
                case 5:System.out.println("感谢使用，系统退出中......");;System.exit(0);
                default:System.err.println("请选择相应的功能......");
            }
            System.out.println("请输入回车键继续......");
            sc.nextLine();
        }
    }
    public int menu() {
        Scanner sc = new Scanner(System.in);
        System.out.println("******************************欢迎使用学生信息管理系统******************************");
        System.out.println("\t\t功能列表如下：");
        System.out.println("\t\t1、查询学生信息。");
        System.out.println("\t\t2、添加学生信息。");
        System.out.println("\t\t3、修改学生信息。");
        System.out.println("\t\t4、删除学生信息。");
        System.out.println("\t\t5、退出系统。");
        System.out.println("请选择你需要的功能：");
        return sc.nextInt();
    }
    //	连接数据库
    public Connection getConnection() throws SQLException, ClassNotFoundException {
        String Driver = "com.mysql.cj.jdbc.Driver";
        String url="jdbc:mysql://localhost:3306/StuIMS";
        String user="root";
        String pwd="123456";
        Class.forName(Driver);
        Connection con = DriverManager.getConnection(url,user,pwd);
        if(con.isClosed()) {
            System.err.println("数据库连接失败。");
            return null;
        }else {
            System.out.println("连接成功。");
            return con;
        }

    }
    //	查询所有数据
    public void SelectAll() throws ClassNotFoundException, SQLException {
        Connection con = getConnection();
        PreparedStatement ps = con.prepareStatement("select * from Student");
        ResultSet rs = ps.executeQuery();
        System.out.println("  学号\t\t姓名\t  性别\t    生日\t\t学分");
        while(rs.next()) {
            System.out.println(rs.getString("studentID")+"\t"+rs.getString("studentName")+"\t  "+rs.getString("studentSex")+"\t  "
                    +rs.getString("studentBirthday")+"\t"+rs.getString("credit")+"\t");
        }
    }
    //	插入数据
    public int insertStudent(int num) throws ClassNotFoundException, SQLException {
        Connection con = getConnection();
        String sql = "insert into Student values(?,?,?,?,?,'202105')";
        PreparedStatement ps = con.prepareStatement(sql);
        Scanner sc = new Scanner(System.in);
        int count=0;
        for(int i=1;i<=num;i++) {
            System.out.println("请输入第"+i+"个学生的学号：");
            String ID = sc.next();
            System.out.println("请输入第"+i+"个学生的姓名：");
            String name = sc.next();
            System.out.println("请输入第"+i+"个学生的性别：");
            String sex = sc.next();
            System.out.println("请输入第"+i+"个学生的生日：");
            String birthday = sc.next();
            System.out.println("请输入第"+i+"个学生的学分：");
            int credit = sc.nextInt();
            ps.setString(1, ID);
            ps.setString(2, name);
            ps.setString(3, sex);
            ps.setString(4, birthday);
            ps.setInt(5, credit);
            if(ps.executeUpdate()>0) {
                count++;
            }else {
                System.out.println("数据插入失败。");
                break;
            }
        }
        return count;
    }
    //	修改数据
    public int updateStudent(String ID) throws ClassNotFoundException, SQLException {
        Connection con = getConnection();
        String sql="update Student set studentName=?,studentSex=?,studentBirthday=? where studentID="+ID;
        PreparedStatement ps = con.prepareStatement(sql);
        Scanner sc = new Scanner(System.in);
        int count=0;
        System.out.println("请输入学生的姓名：");
        String name = sc.next();
        System.out.println("请输入学生的性别：");
        String sex = sc.next();
        System.out.println("请输入学生的生日：");
        String birthday = sc.next();
//		System.out.println("请输入学生的学分：");
//		int credit = sc.nextInt();
        ps.setString(1, name);
        ps.setString(2, sex);
        ps.setString(3, birthday);
//		ps.setInt(4, credit);
        count = ps.executeUpdate();
        return count;
    }
    public int deleteStudentByID(String ID) throws ClassNotFoundException, SQLException {
        Connection con = getConnection();
        Scanner sc = new Scanner(System.in);
        PreparedStatement psS = con.prepareStatement("select * from Student where studentID="+ID);
        ResultSet rs = psS.executeQuery();
        System.out.println("即将删除的学生的信息：");
        System.out.println("  学号\t\t姓名\t  性别\t    生日\t\t学分");
        while(rs.next()) {
            System.out.println(rs.getString("studentID")+"\t"+rs.getString("studentName")+"\t  "+rs.getString("studentSex")+"\t  "
                    +rs.getString("studentBirthday")+"\t"+rs.getString("credit")+"\t");
        }
        System.out.println("请确认信息是否无误（y/Y）？");
        char ch1 = sc.next().charAt(0);
        if(ch1=='Y'||ch1=='y') {
            System.out.println("请确认是否删除（y/Y）?");
            char ch2 = sc.next().charAt(0);
            if(ch2=='y'||ch2=='Y') {
                PreparedStatement psD = con.prepareStatement("delete from Student where studentID="+ID);
                int  count  = psD.executeUpdate();
                return count;
            }else {
                System.out.println("删除取消。");
                return -1;
            }
        }else {
            System.out.println("信息有误，请重新选择......");
            return -1;
        }

    }
}












